Permalink
Browse files

Fix rbenv install

Error was:

    command not found: CC=gcc-4.2

* Set shell to Ruby 1.9.3 after installing it to make sure the following
 `gem` commands are using the correct Ruby.
* Use easier-to-read `--no-document` flag.
  • Loading branch information...
1 parent 8c977fe commit 12c427e536c65b149c708bf48493121be3dd2043 @croaky croaky committed Mar 4, 2013
Showing with 4 additions and 3 deletions.
  1. +4 −3 mac
View
7 mac
@@ -72,19 +72,20 @@ echo "Installing ruby-build for installing Rubies ..."
successfully brew install ruby-build
echo "Installing Ruby 1.9.3-p392 ..."
- successfully CC=gcc-4.2 rbenv install 1.9.3-p392
+ CC=gcc-4.2 successfully rbenv install 1.9.3-p392
echo "Setting Ruby 1.9.3-p392 as global default Ruby ..."
successfully rbenv global 1.9.3-p392
+ successfully rbenv shell 1.9.3-p392
echo "Update to latest Rubygems version ..."
successfully gem update --system
echo "Installing critical Ruby gems for Rails development ..."
- successfully gem install bundler foreman pg rails thin --no-rdoc --no-ri
+ successfully gem install bundler foreman pg rails thin --no-document
echo "Installing GitHub CLI client ..."
- successfully gem install hub
+ successfully gem install hub --no-document
echo "Installing Heroku CLI client ..."
successfully brew install heroku-toolbelt

0 comments on commit 12c427e

Please sign in to comment.